Table of Contents

Class: vcsOptionsDialog | eric3/VCS/OptionsDialog.py
--- | ---

Class implementing a dialog to enter options used to start a project in the VCS.

Base Classes |
--- | ---
vcsOptionsForm

Methods |
--- | ---
__init__ getData handleComboBox handleDirectory
| __init__

    __init__ (
            self,
            project,
            archiveName,
            archiveEditable=0,
            parent=None,
            )

### Constructor

#### Arguments

project
  reference to the project object
archiveName
  name of the archive (string or QString)
archiveEditable
  flag indicating that the archives name may be changed (boolean)
parent
  parent widget (QWidget)

| getData

    getData ( self )

### Public slot to retrieve the data entered into the dialog.

#### Returns

a tuple of 6 strings and one boolean (vcs system, vcs directory, archive name, vendor label, log message, release label, command options).

| handleComboBox

    handleComboBox ( self,  vcsSystem )

### Private slot to set the vcs root directory entry.

#### Arguments

vcsSystem
  name of the VCS system

| handleDirectory

    handleDirectory ( self )

Private slot to display a directory selection dialog.

Table of Contents

This document was automatically generated by HappyDoc version 2.1